org.multiverse.api.functions

## Interface Function<E>

All Known Implementing Classes:
  BooleanFunction, DoubleFunction, IncIntFunction, IntFunction, LongFunction

    public interface Function<E>

A Function that accepts an argument of a certain type and returns a new value of the same type.

Can be used for commuting functions or for the Ref.alter methods.

This class is generated.

### Method Summary

Methods
`E` `call(E value)` Evaluates the function.

### Method Detail

#### call

    E call(E value)

Evaluates the function.

Parameters:
  `value` - the value to evaluate.
Returns:
  the result of the evaluation